import { ChangeDetectorRef, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { OverlayService } from '../../service/overlay.service';
import { BaseInputDatePickerDirective } from "../base-input-date-picker/base-input-date-picker.directive";
import { FormComponent } from "../form/form.component";
import { FormInputUserModelChangeListenerService } from "../../core/service/form-input-user-change-listener.service";
import { NgZoneWrapperService } from "../../core/service/ng-zone-wrapper.service";
export declare class InputDatePickerComponent extends BaseInputDatePickerDirective {
    formComponent: FormComponent;
    protected changeDetector: ChangeDetectorRef;
    protected overlayService: OverlayService;
    protected componentFactoryResolver: ComponentFactoryResolver;
    protected formUserChangeListener?: FormInputUserModelChangeListenerService;
    protected ngZoneWrapper?: NgZoneWrapperService;
    elementRef?: ElementRef;
    modelAsString: string;
    private _calendarComponentRef;
    firstDayOfWeek: string;
    showClearButton: boolean;
    showClass(): boolean;
    constructor(formComponent: FormComponent, changeDetector: ChangeDetectorRef, overlayService: OverlayService, componentFactoryResolver: ComponentFactoryResolver, formUserChangeListener?: FormInputUserModelChangeListenerService, ngZoneWrapper?: NgZoneWrapperService, elementRef?: ElementRef);
    handleDateSelected(date: Date): void;
    toggleCalendar(show: boolean): void;
    finalizeDate(): void;
    finalize(): void;
    private isValidDateString;
    handleDateChange(value: string): void;
    protected modelSet(): void;
    private setModelAsString;
    handleClearIconClicked(): void;
}
